apiVersion: v1
kind: Namespace
metadata:
{% if k8s_namespace_nodes_selectors | length > 0 %}
  annotations:
    scheduler.alpha.kubernetes.io/node-selector: {{ k8s_namespace_nodes_selectors | join(',') }}
{% endif %}
  labels:
    {{ network_policy_namespace_label }}: {{ namespace_match | default(namespace) }}
  name: {{ namespace }}
